=== modified file 'drizzled/common_fwd.h'
--- drizzled/common_fwd.h	2011-03-26 16:20:55 +0000
+++ drizzled/common_fwd.h	2011-03-26 16:45:02 +0000
@@ -2,6 +2,11 @@
 
 namespace drizzled {
 
+namespace catalog
+{
+  class Instance;
+}
+
 namespace internal
 {
   typedef struct st_io_cache IO_CACHE;
@@ -11,7 +16,9 @@
 
 namespace identifier 
 { 
-  class Schema; 
+  class Schema;
+  class Table;
+  class User;
 }
 
 namespace item
@@ -59,9 +66,17 @@
   class SqlSelect;
 }
 
+namespace session 
+{ 
+  class State; 
+  class TableMessages;
+  class Transactions;
+}
+
 namespace table 
 { 
   class Placeholder; 
+  class Singular; 
 }
 
 namespace type 
@@ -70,6 +85,11 @@
   class Time; 
 }
 
+namespace util
+{
+  class Storable;
+}
+
 typedef class Item COND;
 typedef struct charset_info_st CHARSET_INFO;
 typedef struct my_locale_st MY_LOCALE;
@@ -86,6 +106,7 @@
 class CreateField;
 class Date;
 class DateTime;
+class Diagnostics_area;
 class DrizzleLock;
 class DrizzleXid;
 class Field;
@@ -93,6 +114,7 @@
 class ForeignKeyInfo;
 class Hybrid_type;
 class Hybrid_type_traits;
+class Identifier;
 class Internal_error_handler;
 class Item;
 class Item_bool_func2;
@@ -108,6 +130,7 @@
 class LEX;
 class Lex_input_stream;
 class Name_resolution_context;
+class ResourceContext;
 class SecurityContext;
 class Select_Lex;
 class Select_Lex_Unit;
@@ -118,6 +141,7 @@
 class SortParam;
 class String;
 class sys_var_str;
+class system_status_var;
 class Table;
 class Table_ident;
 class TableList;
@@ -129,7 +153,11 @@
 class user_var_entry;
 class var;
 struct CacheField;
+struct Ha_data;
 struct option;
 struct Order;
 
+typedef Item COND;
+typedef uint64_t my_xid;
+
 } // namespace drizzled

=== modified file 'drizzled/error.h'
--- drizzled/error.h	2011-03-26 16:20:55 +0000
+++ drizzled/error.h	2011-03-26 16:45:02 +0000
@@ -32,15 +32,6 @@
 
 namespace drizzled {
 
-namespace identifier
-{
-	class Schema;
-	class Table;
-	class User;
-}
-
-class Identifier;
-
 /* Max width of screen (for error messages) */
 #define SC_MAXWIDTH 256
 #define ERRMSGSIZE	(SC_MAXWIDTH)	/* Max length of a error message */

=== modified file 'drizzled/session.h'
--- drizzled/session.h	2011-03-24 00:16:14 +0000
+++ drizzled/session.h	2011-03-26 16:45:02 +0000
@@ -47,67 +47,6 @@
 
 namespace drizzled {
 
-namespace catalog
-{
-	class Instance;
-}
-
-namespace plugin
-{
-	class Client;
-	class EventObserverList;
-  class MonitoredInTransaction;
-	class Scheduler;
-}
-
-namespace message
-{
-	class Transaction;
-	class Statement;
-	class Resultset;
-}
-
-namespace internal { struct st_my_thread_var; }
-
-namespace session 
-{ 
-  class State; 
-  class TableMessages;
-  class Transactions;
-}
-
-namespace table 
-{ 
-  class Placeholder; 
-  class Singular; 
-}
-
-namespace util
-{
-  class Storable;
-}
-
-class CopyField;
-class CreateField;
-class Diagnostics_area;
-class DrizzleXid;
-class Field;
-class Internal_error_handler;
-class Item;
-class LEX;
-class Lex_input_stream;
-class ResourceContext;
-class TableShareInstance;
-class Table_ident;
-class Time_zone;
-class select_result;
-class system_status_var;
-class user_var_entry;
-struct Ha_data;
-
-typedef Item COND;
-typedef uint64_t my_xid;
-
 extern char internal_table_name[2];
 extern char empty_c_string[1];
 extern const char **errmesg;

